How-To Instalacja paczki Kodi Leia na QTS wersja < 4.4

Dyskusja w 'HybridDesk Station (XBMC, ...) (HD_Station)' rozpoczęta przez użytkownika killjoy, 12 Styczeń 2019 o 10:06.

Ładowanie...
  1. killjoy
    Offline

    killjoy Systems Admin... Q's Expert

    Dołączył:
    9 Lipiec 2015
    Wiadomości:
    322
    Local Time:
    12:40
    Oceny:
    +69 / 1 / -0
    Followers:
    1
    QNAP:
    TS-x53
    Ethernet:
    1 GbE
    TS-x53 1 GbE
    Wersja oprogramowania Firmware: 4.3.6 Build 20181228
    Model serwera: QNAP TS-453mini

    Jeżłei wasze modele qnapów NIE dostana juz nowej wersji QTS 4.4 a jednak chcielibyście z róznych powodów używać kodi w wersji 18 to jest na to sposób.
    Jak wiecie w repo qnapclub pojawiła sie paczka Kodi Leia, obecnie w wersji RC4. Jednak paczka została tak przygotowana, że instaluje siei tylko kiedy są spełnione DWIE zależności - HDS musi być w wersji 4 lub wyższej oraz QTS musi być w wersji 4.4 lub wyższej.
    Na szczeście pierwsza zależnosć jest łatwo do osiągnięcia - najnowszy HDS 4 można zainstalowac BEZ konieczności posiadania QTS 4.4.
    Dlatego pozostaje nam pokonanie drugiej. Dokonamy tego za pomocą dostępnej paczki QDK 2.3.3. czyli środowiska do tworzenia i manipulacji paczkami qpkg.
    Po instalacji paczki ściągamy najnowsze kodi np do folderu Public.
    teraz przy użyciu konsoli wykonujemy następujące kroki:
    W folderze Public:

    Kod (Bash):
    1. cd /share/Public
    2.  
    3. qbuild --create-env kodi
    4. qbuild --extract Kodi18_18.0.0.4_x86_64.qpkg kodi/shared
    5.  
    6. cd kodi/shared
    7. rm data.tar.gz
    za pomoca mc kopiuję z katalogu shared pliki package_routines i qpkg.cfg do katalogu kodi ( tak, wiem można z konsoli ale mi się nie chce )

    potem zmieniamy w skopiowanym pliku qpkg.cfg linijkę
    Kod (INI):
    1. # Minimum QTS version requirement
    2. QTS_MINI_VERSION="4.4.0"
    na np taką:
    Kod (INI):
    1. # Minimum QTS version requirement
    2. QTS_MINI_VERSION="4.3.0"
    i zapisujemy zmodifikowny plik.
    Teraz należy ponownie spakować pliki tworząć zmodyfikowaną paczkę:

    Kod (Bash):
    1. cd /share/Public/kodi
    2. qbuild
    nowa paczkę znajdziemy w folderze build:
    Kod (Bash):
    1. cd build
    2. ls -la
    Kod (Text):
    1. -rw-r--r--  1 admin administrators 112564664 2019-01-12 09:58 Kodi18_18.0.0.4.qpkg
    2. -rw-r--r--  1 admin administrators        61 2019-01-12 09:58 Kodi18_18.0.0.4.qpkg.md5
    Kod (Bash):
    1. sh Kodi18_18.0.0.4.qpkg
    Teraz już można sie cieszyć nowym kodi na naszych "starych" sprzętach.

    UWAGA - kodi 18 bedzie działać na pewno na kernelu 4.2.8, jak i czy w ogóle będzie na starszych to nie wiem.
    podejrzewam, że samo HDS 4 wymaga najnowszego kernela wiec nie będzie z tym problemów.
     
    • Lubię to! Lubię to! x 4